<?php

include_once ("base/elemento.class.php");
include_once ("base/categoria.class.php");
include_once ("include/images/images_mod.class.php");

class revista_pagina extends elemento{
	
	
	function revista_pagina() {}
    
	function guardar($id=0){	
		$trata = new images_mod($this->req);
		$this->req['background'] = $trata->trataimagem_escolhe('background', "../netimages/revista_pagina");
		$this->req['permatitulo']=generate_seo_titulo($this->req['titulo']);
		$this->req['permalink']=generate_seo_link($this->req['permatitulo'], $this->req['idCat']);
		//$this->tratafile('video');
		
		
		//http://www.conduzamagazine.pt/home/#/page/9"
				
		$entrada=array('~http://www.conduzamagazine.pt/home/#/page/(\d+)~', '~http://www.conduzamagazine.com.pt/home/#/page/(\d+)~', 
		'~http:\/\/www\.conduzamagazine\.pt\/home\/#\/page\/(\d+)~', '~http://www.conduzamagazine.pt/revista/(\d+)/#/page/(\d+)~');
		$saida=array('javascript:pag_revista($1)', 'javascript:pag_revista($1)', 'javascript:pag_revista($1)', 'javascript:pag_revista($2)');
		//$this->req['texto']=preg_replace($entrada, $saida, $this->req['texto']);
		$this->req['texto']=stripslashes($this->req['texto']);
		
		
		
		
		parent::guardar($id);	
	}

	
	function editar($id="") {
        
        $db= new dbElemento;
        $dados=$db->get("select * from revista");

		foreach ($dados as $l) $dadosSel[$l['id']]=$l['categoria'];
		
        $linha = @$db->getLinha($this->tipo, $id);
		$idCat=$linha['idCat']?$linha['idCat']:$this->idCat;
		
		
		$linhaTit=$db->getLinha("revista", $idCat);
		$tit=$linhaTit['categoria'];
		
		$f= new form($id, $linha , $this->req);
		$f->toolbars("", 1, $this->popup);
		$f->titulo("revista_paginas :: $tit / ",1);
		$f->campoTexto("Número de página","num_pagina" );
		$f->campoTexto("Título","titulo" );
		$f->campoHtmlRevista("texto", "texto");
		$f->campoImagem3("Background","background", 468,590);
		//$f->campoImagem("Background","background", 440, 555 );
		//$f->campoSeleccao("Revista", "idRevista", $dadosSel, $idRevista);
		//$f->campoAreaTexto("Palavras","palavras" );
		$f->campoSimNao("Activo", "activo", 0);
		
		
		
		$sys_data = (($linha['sys_data'] != "0000-00-00")) ? $linha['sys_data'] : date("Y-m-d");
		$sys_hora = (($linha['sys_hora'] != "00:00:00")) ? $linha['sys_hora'] : date("H:i");
		$f->campoValor('sys_autor', $linha['sys_autor'] ? $linha['sys_autor'] : $_SESSION['authdata']['login']);
		$f->campoValor('sys_data', $sys_data);
		$f->campoValor('sys_hora', $sys_hora);
		
		$f->mostra();
    }


	function listar() {
        $campos=array("Nº"=>"id","Página"=>"num_pagina","Titulo"=>"titulo");
        
        $db= new dbElemento;
        $dados=$db->getLista($this->tipo, $this->idCat, $campos , "num_pagina", 1 ,$this->req['offset'], 100, $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
         
        $f= new lista($campos, $dados, $this->req);
        
        $linhaTit=$db->getLinha("revista", $this->idCat);
        $tit=$linhaTit['categoria'];
		
		$toolbar= new toolbar(); 
		$toolbar->botao_l("Novo");

		$toolbar->ini();
		$toolbar->nav($this->req['offset'], 100, $this->req['total']);
		$toolbar->ini();
		//$toolbar->filtro($this->tipo, $this->idCat, "titulo");
		/////////$toolbar->categoria("revista_pagina", "categoria", $this->req['idcat']);
		$toolbar->procurar($this->req['procurar']);   //mudar para campo
		$toolbar->botao("procurar", 90);

		$toolbar->fim();

		$f->titulo("revista_paginas :: $tit / ");
		$f->cabecaSimples();
		
        $f->tabela(false, false);
		$f->mostra();
    }


}
?>
